Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.multiplex
Class VirtualSocketFactory

    java.lang.Object
      javax.net.SocketFactory
          org.jboss.remoting.transport.multiplex.VirtualSocketFactory

All Implemented Interfaces:
  java.io.Serializable

    public class VirtualSocketFactory

extends javax.net.SocketFactory
implements java.io.Serializable

`VirtualSocketFactory` extends the `javax.net.SocketFactory` class and reimplements its `createSocket()` methods, returning `VirtualSocket`s.

Copyright (c) 2005

Author:
  Ron Sigal
See Also:
  Serialized Form

Constructor Summary
`protected` | `VirtualSocketFactory()` See superclass javadoc.

Method Summary
`java.net.Socket` | `createSocket()` See superclass javadoc.
`java.net.Socket` | `createSocket(java.net.InetAddress address, int port)` See superclass javadoc.
`java.net.Socket` | `createSocket(java.net.InetAddress address, int port, java.net.InetAddress localAddress, int localPort)` See superclass javadoc.
`java.net.Socket` | `createSocket(java.lang.String host, int port)` See superclass javadoc.
`java.net.Socket` | `createSocket(java.lang.String host, int port, java.net.InetAddress localAddress, int localPort)` See superclass javadoc.
`static javax.net.SocketFactory` | `getDefault()` See superclass javadoc.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VirtualSocketFactory

    protected VirtualSocketFactory()

  See superclass javadoc.

Method Detail

### getDefault

    public static javax.net.SocketFactory getDefault()

  See superclass javadoc.

### createSocket

    public java.net.Socket createSocket()

  See superclass javadoc.

  Overrides:
    `createSocket` in class `javax.net.SocketFactory`

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  See superclass javadoc.

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port,
                                        java.net.InetAddress localAddress,
                                        int localPort)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  See superclass javadoc.

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress address,
                                        int port)
                                 throws java.io.IOException

  See superclass javadoc.

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress address,
                                        int port,
                                        java.net.InetAddress localAddress,
                                        int localPort)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  See superclass javadoc.

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.